Subject: Re: [PATCH] powerpc: e500: Fix compilation with gcc e500 compiler

From: Segher Boessenkool <[email-masked]>
Date: Mon, 11 Jul 2022 11:14:42 -0500

On Sat, Jul 09, 2022 at 09:26:11AM +0000, Christophe Leroy wrote:
> If I select the GENERIC_CPU or e5500 (with altivec) I get:
> 
>    CC      arch/powerpc/kernel/irq.o
> {standard input}: Assembler messages:
> {standard input}:3535: Error: unrecognized opcode: `wrteei'
> {standard input}:5608: Error: unrecognized opcode: `wrteei'

What -mcpu= did it use here?

wrteei is not a PowerPC insn (it is BookE, instead), so it is not
recognised without an appropriate -mcpu=.

> If I select the e5500 (without altivec) or e6500 I get:
> 
>    CC      arch/powerpc/kernel/io.o
> {standard input}: Assembler messages:
> {standard input}:381: Error: unrecognized opcode: `eieio'

Same question.  eieio is a base PowerPC instruction, so this one is
"interesting" :-)

Segher